# - Find TmxParser
# Find the TmxParser includes and library
#
INCLUDE( "FindPackageHandleStandardArgs" )

FIND_PATH( TMXPARSER_INCLUDE_DIR "tmxparser/Tmx.h"
PATH_SUFFIXES "tmxparser"
PATHS "${TMXPARSER_ROOT}/include")

FIND_LIBRARY( TMXPARSER_LIBRARY_DEBUG
NAMES "tmxparserd"
PATH_SUFFIXES "tmxparser" 
PATHS "${TMXPARSER_ROOT}/lib" )

FIND_LIBRARY( TMXPARSER_LIBRARY_RELEASE
NAMES "tmxparser"
PATH_SUFFIXES "tmxparser" 
PATHS "${TMXPARSER_ROOT}/lib" )

IF (TMXPARSER_LIBRARY_DEBUG OR TMXPARSER_LIBRARY_RELEASE)
	# library found
	set(TMXPARSER_FOUND TRUE)
	
	# if both are found, set SFML_XXX_LIBRARY to contain both
	if (TMXPARSER_LIBRARY_DEBUG AND TMXPARSER_LIBRARY_RELEASE)
		set(TMXPARSER_LIBRARY debug     ${TMXPARSER_LIBRARY_DEBUG}
						  optimized 	${TMXPARSER_LIBRARY_RELEASE})
	endif()

	# if only one debug/release variant is found, set the other to be equal to the found one
	if (TMXPARSER_LIBRARY_DEBUG AND NOT TMXPARSER_LIBRARY_RELEASE)
		# debug and not release
		set(TMXPARSER_LIBRARY_RELEASE ${TMXPARSER_LIBRARY_DEBUG})
		set(TMXPARSER_LIBRARY         ${TMXPARSER_LIBRARY_DEBUG})
	endif()
	if (TMXPARSER_LIBRARY_RELEASE AND NOT TMXPARSER_LIBRARY_DEBUG)
		# release and not debug
		set(TMXPARSER_LIBRARY_DEBUG ${TMXPARSER_LIBRARY_RELEASE})
		set(TMXPARSER_LIBRARY       ${TMXPARSER_LIBRARY_RELEASE})
	endif()
else()
	set(TMXPARSER_FOUND FALSE)
	set(TMXPARSER_LIBRARY "")
endif()

FIND_PACKAGE_HANDLE_STANDARD_ARGS( "TmxParser" DEFAULT_MSG TMXPARSER_INCLUDE_DIR TMXPARSER_LIBRARY )
